precision mediump float;

/* Uniforms */
uniform bool uTextureUsage0;
uniform sampler2D uTexture;
uniform int uUseTransparent;
uniform float uTransparentAlpha;
uniform float uBrightnessFactor;
uniform int uUseBrightnessFactor;

/* Varyings */
varying vec2 vTexCoord0;
varying vec4 varVertexColor;

vec4 renderTransparent()
{
	vec4 Color = vec4(1.0, 1.0, 1.0, 1.0);
	//vec4 Color = varVertexColor;

	/*if(uTextureUsage0)*/
		Color *= texture2D(uTexture, vTexCoord0);

	return Color;
}

void main ()
{
    vec4 Color = renderTransparent();

	if (Color.a < 0.5)
		discard;

	if(uUseTransparent == 1) {
		Color.a *= uTransparentAlpha;
	}
	
	if(uUseBrightnessFactor == 1) {	
		Color.r = Color.r * uBrightnessFactor;
		if(Color.r > 1.0)
		{
			Color.r = 1.0;
		}
		Color.g = Color.g * uBrightnessFactor;
		if(Color.g > 1.0)
		{
			Color.g = 1.0;
		}
		Color.b = Color.b * uBrightnessFactor;
		if(Color.b > 1.0)
		{
			Color.b = 1.0;
		}
	}
	
	gl_FragColor = Color;
}